Update organization
curl --request PATCH \
--url https://api.privy.io/v1/organizations/{organization_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"display_name": "<string>",
"default_key_quorum_id": "<string>"
}
'HttpResponse<String> response = Unirest.patch("https://api.privy.io/v1/organizations/{organization_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"display_name\": \"<string>\",\n \"default_key_quorum_id\": \"<string>\"\n}")
.asString();const options = {
method: 'PATCH',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({display_name: '<string>', default_key_quorum_id: '<string>'})
};
fetch('https://api.privy.io/v1/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/organizations/{organization_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'display_name' => '<string>',
'default_key_quorum_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/organizations/{organization_id}"
payload := strings.NewReader("{\n \"display_name\": \"<string>\",\n \"default_key_quorum_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"display_name": "<string>",
"default_key_quorum_id": "<string>",
"created_at": 123,
"updated_at": 123
}Organizations
Update organization
Update an organization by ID.
PATCH
/
v1
/
organizations
/
{organization_id}
Update organization
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the organization.
Body
application/json
Response
200 - application/json
The updated organization.
A Privy organization object.
Unique organization identifier
Organization display name
Required string length:
1 - 100A unique identifier for a key quorum.
Unix timestamp when the organization was created
Unix timestamp when the organization was last updated
Was this page helpful?

